.textmedia-intro-wrap {
    overflow: hidden;
    position: relative;

    &:not(.intro-images-initialized) {

        .intro-quotes,
        .intro-layer {
            visibility: hidden;
        }

    }

    .textmedia-intro {
        position: relative;
        grid-template-rows: 100%;
        display: grid;
        font-size: 0;
        line-height: 0;

        .intro-image {
            filter: saturate(0%);
        }

        @media (max-width: 768px) {
            height: 330px;

            .intro-content {
                .btn {
                    display: none;
                }
            }
        }
    }

    .intro-background {
        position: absolute;
        inset: 0;
        z-index: 0;
        pointer-events: none;
    }

    .intro-background img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .intro-layer {
        height: 100%;
        position: relative;
        z-index: 1;
        grid-area: 1 / 1;
        align-self: stretch;
    }

    .intro-layer-text {
        padding: 2.5rem 0;
    }

    .intro-layer-image .intro-image-column {
        position: relative;
        pointer-events: initial;
    }

    .intro-layer-image .row {
        align-items: stretch;
    }

    .intro-image-wrapper {
        position: absolute;
        bottom: 0;

        z-index: var(--zindex, 1);
        &.is-active {
            .intro-image {
                filter: saturate(100%) !important;
            }
        }

        .intro-image {
            transition: filter 0.4s;
            img {
                display: block;
                width: 100%;
                max-width: 1040px;
            }
        }
    }

    .intro-quotes {

        @media (min-width: 769px) {
            position: absolute;
            inset: 0 0 0 0;
            overflow: hidden;
            pointer-events: none;
        }

        @media (max-width: 768px) {
            height: 212px;
            position: relative;
            background-color: #0f80c4;
            padding: 23px 20px;

        }

        .intro-image-triangle {
            @media (min-width: 769px) {
                display: none;
            }

            @media (max-width: 768px) {
                display: block;
                z-index: 98;
            }

            transition: left 0.35s ease-out;
            position: absolute;
            top: 0;
            width: 24px;
            height: 21px;
            background: #0f80c4;
            clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
            transform: translateX(-50%) translateY(-100%);
        }
    }

    .intro-quote {
        position: absolute;
        color: #fff;
        background-color: #0f80c4;

        font-size: 16px;
        line-height: 22px;

        opacity: 0;
        z-index: 98;

        @media (min-width: 769px) {
            font-size: min(16px, 1cqw);
            line-height: min(22px, 1.5cqw);
            container-type: inline-size;
            pointer-events: none;
            border-radius: 8px;
            transform: translateY(100%);
            padding: 7px 16px;
            bottom: 0.4rem;
            transition:
                    transform 0.35s ease-out,
                    opacity 0.35s ease-out;
        }


        @media (max-width: 768px) {
            padding: 23px 20px;
            inset: 0;
            width: 100% !important;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
        }


        &.is-active {
            transform: translateY(0%);
            opacity: 1;
        }


        .intro-body {
            text-align: center;
            display: block;

            @media (min-width: 769px) {
                display: none;
            }
        }
    }

    .intro-layer-image {
        align-self: stretch;
        pointer-events: none;
    }

    .intro-body {
        text-align: center;
        display: block;
        @media (max-width: 768px) {
            display: none;
        }
        @media (min-width: 769px) {
            display: none;
        }
    }

    @media (min-width: 768px) {
        .textmedia-intro {
            display: grid;
        }

        .intro-image {
            display: block;
            margin-top: 50px;
        }

        .intro-layer-text .intro-text-column {
            padding-right: 80px;
        }

        .intro-layer-image .intro-image-column {
            margin-left: -80px;
        }
    }


    @media (min-width: 1200px) {
        .intro-layer-text {
            padding: 4.5rem 0;
        }
    }

}